from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.document import XEventBroadcaster

@runtime_checkable
class XShapeEventBroadcaster(XEventBroadcaster, Protocol):
    def addShapeEventListener(self, Shape: XShape, Listener: XShapeEventListener) -> None: ...
    def removeShapeEventListener(self, Shape: XShape, Listener: XShapeEventListener) -> None: ...
